# SelectMgr_SelectionManager.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_SelectMgr_SelectionManager.hxx>`
`#include <TColStd_MapOfTransient.hxx>`
`#include <SelectMgr_DataMapOfObjectSelectors.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_SelectMgr_ViewerSelector.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_SelectMgr_SelectableObject.hxx>`
`#include <Standard_Integer.hxx>`
`#include <SelectMgr_TypeOfUpdate.hxx>`